Firefox 3.0.13 update when I have 3.5.2 installed

Why is the openSUSE Updater offering me this update when I just replaced Firefox 3.0.12 the other day with Firefox 3.5.2 from the Mozilla repository?

How do I tell openSUSE to NOT offer me this update?

I think I’ve solved the problem. Another search in the forums suggests that the problem is the priority of the Build Service Mozilla repository vs that of the regular repositories.

The forum post below suggested a solution which I just tried and the Updater now shows no updates available. Don’t know if that will prevent any further problems but it works for now.

Running Mozilla 3.5 updater wants to update/rollback to 3.0 - Page 2 - openSUSE Forums